Name:           driconf
Version:        0.9.1
Release:        21%{?dist}
Summary:        A configuration applet for the Direct Rendering Infrastructure

Group:          User Interface/X
License:        GPLv2+
URL:            http://dri.freedesktop.org/wiki/DriConf
Source0:        http://people.freedesktop.org/~fxkuehl/driconf/driconf-%{version}.tar.gz
Patch1:         driconf-0.9.1-setup.patch
Patch2:         driconf-0.9.1-glxinfo-unicode.patch
Patch3:         driconf-0.9.1-update-toolbar-methods.patch
Patch4:         http://patch-tracking.debian.net/patch/misc/dl/driconf/0.9.1-2/driconf_simpleui.py


BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildArch:      noarch
Requires:       pygtk2
Requires:       glx-utils

%description
DRIconf is a configuration applet for the Direct Rendering Infrastructure. 
It allows customizing performance and visual quality settings of OpenGL 
drivers on a per-driver, per-screen and/or per-application level.

The settings are stored in system wide and per-user XML configuration files,
which are parsed by the OpenGL drivers on startup. 

DRIConf is written in Python with the python-gtk toolkit bindings. 

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix=%{_prefix}

%find_lang driconf

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Driconf
Comment=configuration applet for the Direct Rendering Infrastructure
Exec=/usr/bin/driconf
Icon=/usr/share/driconf/driconf-icon
Terminal=false
Type=Application
Categories=Settings;
EOF

desktop-file-install \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ %{name}.desktop

%files -f driconf.lang
%doc COPYING CHANGELOG README TODO
%{_bindir}/driconf
%{python_sitelib}/dri.py
%{python_sitelib}/dri.pyc
%{python_sitelib}/dri.pyo
%{python_sitelib}/driconf.py
%{python_sitelib}/driconf.pyc
%{python_sitelib}/driconf.pyo
%{python_sitelib}/driconf_commonui.py
%{python_sitelib}/driconf_commonui.pyc
%{python_sitelib}/driconf_commonui.pyo
%{python_sitelib}/driconf_complexui.py
%{python_sitelib}/driconf_complexui.pyc
%{python_sitelib}/driconf_complexui.pyo
%{python_sitelib}/driconf_simpleui.py
%{python_sitelib}/driconf_simpleui.pyc
%{python_sitelib}/driconf_simpleui.pyo
%{python_sitelib}/driconf-0.9.1-py?.?.egg-info
%dir %{_datadir}/driconf
%{_datadir}/driconf/card.png
%{_datadir}/driconf/drilogo.jpg
%{_datadir}/driconf/screen.png
%{_datadir}/driconf/screencard.png
%{_datadir}/driconf/driconf-icon.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.1-19
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.1-14
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Kevin Fenzi <kevin@tummy.com> - 0.9.1-11
- Add patch for traceback issue (fixes bug #482915)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.1-10
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.1-9
- Rebuild for Python 2.6

* Sun Jun  8 2008 Kevin Fenzi <kevin@tummy.com> - 0.9.1-8
- Improve unicode support (fixes bug #450083)

* Tue Jan 15 2008 Kevin Fenzi <kevin@tummy.com> - 0.9.1-7
- Add egginfo file. 

* Tue Aug 21 2007 Kevin Fenzi <kevin@tummy.com> - 0.9.1-6
- Update license tag. 

* Wed Dec 20 2006 Kevin Fenzi <kevin@tummy.com> - 0.9.1-5
- Remove unneeded post/postun.

* Tue Dec 19 2006 Kevin Fenzi <kevin@tummy.com> - 0.9.1-4
- Changed desktop catigory to Settings. 

* Mon Dec 18 2006 Kevin Fenzi <kevin@tummy.com> - 0.9.1-3
- Changed pygtk2-devel BuildRequires to python-devel
- Added desktop file. 

* Sat Dec 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.9.1-2
- Added Requires for pygtk2 and glx-utils

* Sat Dec 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.9.1-1
- Inital fedora extras packaging

* Fri Mar 31 2005 D. Hageman <dhageman@dracken.com> 0.9.0-1
- Updated RPM spec file to handle new version

* Mon Mar 14 2005 D. Hageman <dhageman@dracken.com> 0.2.3-1
- Created the initial rpm spec file.
